import request from '@/utils/request'
// 登录
export function login(loginForm) {
  return request({
    url: 'user/login',
    method: 'post',
    params: loginForm
  })
}
// 获取用户信息
export function getInfo() {
  return request({
    url: '/user/info',
    method: 'get'
  })
}
// 获取用户权限（菜单、按钮）
export function getMenus() {
  return request({
    url: '/user/permission',
    method: 'get'
  })
}
// 登出
export function logout() {
  return request({
    url: '/user/logout',
    method: 'get'
  })
}
// 获取系统基础配置：公钥，验证码是否开启
export function getConfig() {
  return request({
    url: '/config/baseConfig',
    method: 'get'
  })
}
// 获取验证码图片
export function getKaptcha(sid) {
  return request({
    url: '/kaptcha/base64',
    method: 'get',
    params: {
      sid
    }
  })
}

// 获取业务权限
export function getBizPerm(token) {
  return request({
    url: '/config/getAuthorByDept',
    method: 'get',
    params: { token }
  })
}
